commit:     cba9c37e9507bad76e84da5d7bd9625cd7bbd727
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 28 19:26:31 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Mar 28 19:26:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cba9c37e

dev-lua/lualdap: bump to version 1.2.6

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/lualdap/Manifest             |  1 +
 dev-lua/lualdap/lualdap-1.2.6.ebuild | 98 ++++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/dev-lua/lualdap/Manifest b/dev-lua/lualdap/Manifest
index d4ced84947a..9f4a9e92efb 100644
--- a/dev-lua/lualdap/Manifest
+++ b/dev-lua/lualdap/Manifest
@@ -1,2 +1,3 @@
 DIST lua-compat-5.3-0.10.tar.gz 53695 BLAKE2B 
e570aedb23b8ed7ca38c4316ffab25b93a0f9f6f0fae79af563ca8a81dd6453ac273e1f9e70674c484a2dec68749e7d53a1c1736a72616c210b8e38a31b3f191
 SHA512 
f7f39085f4f6b16095f41e635b4c5477b3dab5e42b5b65a9d522941a3807ea521d4a27a77293a3c9d0ecea78a1f6c2a2497394b2d220f4d7d65e23510563d46d
 DIST lualdap-1.2.5.tar.gz 85920 BLAKE2B 
14015fe258fa391e08fc9b6bdb7a71dae10fbd84636cc3d84c446d67f9d0ea925c0086343a29ce21b81f77c87da37040560c631cdf3df7c8d3c255e5913fd985
 SHA512 
4fbd7bcea2e55a3b165a7316e4f6c45aee22506915c4cc204d1b5006adbf95611ebf4558c1ef1511f90d7142571cff37ea24952072dc7ecb13bbbe06aef32e72
+DIST lualdap-1.2.6.tar.gz 92669 BLAKE2B 
49b4c8e639ff109e32321fa5a6313dcb6e83b76d1e5220b59d7297cc19d106233a2d05ff8fc43162ad242d3134700a9abe8fe8f4bcbd90a3f8f0217217decfaa
 SHA512 
e32010caa8efea5c23f2a595bd6a339267ecd08cf23e39389005bf8e499d6bad63771d0c7faf3ab5b8f670ba22bb15bf7ae691ed67920e86d8ed2c5649d7a079

diff --git a/dev-lua/lualdap/lualdap-1.2.6.ebuild 
b/dev-lua/lualdap/lualdap-1.2.6.ebuild
new file mode 100644
index 00000000000..4f1afb1847f
--- /dev/null
+++ b/dev-lua/lualdap/lualdap-1.2.6.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+MY_PN_LUACOMPAT="lua-compat-5.3"
+MY_PV_LUACOMPAT="0.10"
+MY_P_LUACOMPAT="${MY_PN_LUACOMPAT}-${MY_PV_LUACOMPAT}"
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="A lua binding for the OpenLDAP client libraries"
+HOMEPAGE="https://github.com/lualdap/lualdap";
+SRC_URI="
+       https://github.com/lualdap/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+       
https://github.com/keplerproject/${MY_PN_LUACOMPAT}/archive/v${MY_PV_LUACOMPAT}.tar.gz
 -> ${MY_P_LUACOMPAT}.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="test"
+
+RDEPEND="
+       net-nds/openldap
+       ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( ${RDEPEND} )
+"
+
+HTML_DOCS=( "docs/." )
+
+src_prepare() {
+       default
+
+       # Copy current lua-compat-5.3 files to support lua5-4
+       cp ../${MY_P_LUACOMPAT}/c-api/* src || die
+
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "CC=$(tc-getCC)"
+               "LBER_LIBDIR=/usr/$(get_libdir)"
+               "LDAP_LIBDIR=/usr/$(get_libdir)"
+               "LUA_INCDIR=$(lua_get_include_dir)"
+               "LUA_LIBDIR=/usr/$(get_libdir)"
+       )
+
+       emake "${myemakeargs[@]}"
+
+       popd
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+       pushd "${BUILD_DIR}" || die
+       LUA_CPATH="./src/?.so" ${ELUA} tests/test.lua
+       popd
+}
+
+src_install() {
+       lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+       pushd "${BUILD_DIR}" || die
+
+       # Workaround, as 'make install' does not create this directory
+       dodir "$(lua_get_cmod_dir)"
+
+       local myemakeargs=(
+               "DESTDIR=${ED}"
+               "INST_LIBDIR=$(lua_get_cmod_dir)"
+       )
+
+       emake "${myemakeargs[@]}" install
+
+       popd
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       einstalldocs
+}

Reply via email to